Versions Compared

Key

  • This line was added.
  • This line was removed.
  • Formatting was changed.

...

  1. Install JDK 1.4.2 or above (e.g. Sun JDK 5.0 version 1.5.0_06):
    • JDK is available on http://java.sun.com.
    • Remember to set the JAVA_HOME environment variable after installation.
    • (Optional) Add JAVA_HOME/bin to PATH for executing Java commands.
  2. If you want to use Eclipse then install Eclipse 3.1 or above (e.g. Eclipse 3.2):
  3. If you want to build from the command line the install Ant 1.7 (possibly works with 1.6.5 but this is not properly tested):
  4. Extract groovy source, either:
    • If using Eclipse:
      • Decide where your workspace is (will be reference later), switch to the SVN Git perspective. If you are not familiar with Eclipse, in menu Help -> Welcome may help you a lot.
      • Browse SVN Git to know SVN Git information to checkout sources.
      • Create a new repository, extract groovy source (the folder groovy-core. You can extract it as project name groovy)
    • If not using Eclipse then from command line: svn co http://svn.codehaus.org/groovy/trunk/groovy/groovy-core
  5. Build groovy source
    • For command line builds, simply go to the groovy-core directory you extracted, execute "ant" in command line, make sure the build success, browse groovy/target/test-reports if you got JUnit test fails.
    • For Eclipse:
      • TBA
  6. Done!